(******************************************************************************)
(* met constants                                                              *)
(* (C) 2009..2010 Steffen Solyga <solyga@absinth.net>                         *)
(******************************************************************************)
DEFINITION MODULE Met;

CONST
  (* aMule-2.2.5/src/include/common/DataFileVersion.h *)
  mcKnown      = 00EH;
  mcKnownLarge = 00FH;
  mcPart       = 0E0H;
  msKnown      = 'known';
  msKnownLarge = 'knownLarge';
  msPart       = 'part';

TYPE
  TMetType = ( mtKnown, mtPart );

  TExitCode = (
    ecOK,
    ecCmd,
    ecBug,
    ecStrsBug,
    ecStrsTooLong,
    ecStrsStoreFull,
    ecStrsLenInv,
    ecStrsCmpInv,
    (* bin -> text *)
    ecEOF,
    ecMagic,
    ecTag,
    ecStr,
    ecHash,
    (* text -> bin *)
    ecScanner,
    ecSyntax
  );

  (* aMule-2.2.5/src/include/tags/TagTypes.h *)
  TTagType = (
    ttNull,
    ttHash16,
    ttString,
    ttUInt32,

    ttFloat32,
    ttBool,
    ttBoolArray,
    ttBlob,

    ttUInt16,
    ttUInt8,
    ttBsob,
    ttUInt64
  );

(* This procedure is definitely at the wrong place... *)
PROCEDURE Exit( ec: TExitCode );

END Met.
