(******************************************************************************)
(* string storage                                                             *)
(* (C) 2009..2010 Steffen Solyga <solyga@absinth.net>                         *)
(******************************************************************************)
DEFINITION MODULE Strs;

(*# save, call( o_a_copy => off ) *)

CONST
  bufLen = 4 * 1024;
  maxStrLen = 256;

TYPE
  TStr = POINTER TO TString;
  TString = ARRAY [ 0 .. maxStrLen - 1 ] OF CHAR;

CONST
  noStr  = NIL;

VAR
  emptyStr: TStr;

(* read-only pointer, however writing to TStr^ does affect Strs' buffer only *)
PROCEDURE Add( s: ARRAY OF CHAR ): TStr;

PROCEDURE Len( x: TStr ): CARDINAL;
PROCEDURE Cmp( x: TStr; s: ARRAY OF CHAR ): INTEGER;

(*
PROCEDURE Print();
*)

END Strs.
